View Issue Details

IDProjectCategoryView StatusLast Update
0001606SymmetricDSNew Featurepublic2014-06-16 20:27
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001606: Create dialect for DB2 z/OS
DescriptionSupport DB2 v10 and above on z/OS for change data capture and data loading.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 7f3ce150

2014-03-04 20:32:24

erilong

Details Diff
0001606: Create dialect for DB2 z/OS
0001606
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/JdbcSymmetricDialectFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2SymmetricDialect.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2zOsSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DdlReader.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2zOsDatabasePlatform.java Diff File

SymmetricDS: master b2c59d60

2014-03-26 17:02:04

erilong

Details Diff
0001606: Create dialect for DB2 z/OS - add some logging on which database we detect
0001606
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File

Issue History

Date Modified Username Field Change
2014-02-26 08:08 elong New Issue
2014-02-26 08:08 elong Status new => assigned
2014-02-26 08:08 elong Assigned To => elong
2014-03-04 21:00 Changeset attached => SymmetricDS trunk r8022
2014-03-26 18:00 Changeset attached => SymmetricDS trunk r8111
2014-05-13 09:36 chenson Status assigned => resolved
2014-05-13 09:36 chenson Fixed in Version => 3.6.0
2014-05-13 09:36 chenson Resolution open => fixed
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master b2c59d60
2015-07-30 21:49 Changeset attached => SymmetricDS master 7f3ce150